Last Comment Bug 715894 - Only draw the dirty rect when gralloc is in use
: Only draw the dirty rect when gralloc is in use
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P4 normal (vote)
: Firefox 12
Assigned To: James Willcox (:snorp) (jwillcox@mozilla.com)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-06 07:20 PST by James Willcox (:snorp) (jwillcox@mozilla.com)
Modified: 2012-01-19 09:05 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Only draw dirty rect when using gralloc textures (2.50 KB, patch)
2012-01-06 07:52 PST, James Willcox (:snorp) (jwillcox@mozilla.com)
chrislord.net: review+
blassey.bugs: approval‑mozilla‑aurora+
Details | Diff | Review

Description James Willcox (:snorp) (jwillcox@mozilla.com) 2012-01-06 07:20:23 PST
Right now we draw the entire tile area when using gralloc, but we should only draw the dirty area. This should yield a nice performance boost for things like animated gifs.
Comment 1 James Willcox (:snorp) (jwillcox@mozilla.com) 2012-01-06 07:52:13 PST
Created attachment 586428 [details] [diff] [review]
Only draw dirty rect when using gralloc textures
Comment 2 Chris Lord [:cwiiis] 2012-01-06 08:44:28 PST
Comment on attachment 586428 [details] [diff] [review]
Only draw dirty rect when using gralloc textures

Review of attachment 586428 [details] [diff] [review]:
-----------------------------------------------------------------

LGTM.
Comment 3 James Willcox (:snorp) (jwillcox@mozilla.com) 2012-01-06 09:27:51 PST
http://hg.mozilla.org/integration/mozilla-inbound/rev/42550933b54b
Comment 4 Ed Morley [:emorley] 2012-01-06 15:47:15 PST
https://hg.mozilla.org/mozilla-central/rev/42550933b54b
Comment 5 James Willcox (:snorp) (jwillcox@mozilla.com) 2012-01-18 17:59:30 PST
http://hg.mozilla.org/integration/mozilla-inbound/rev/c8b028065b13
Comment 6 Brad Lassey [:blassey] (use needinfo?) 2012-01-18 19:39:53 PST
Comment on attachment 586428 [details] [diff] [review]
Only draw dirty rect when using gralloc textures

[Triage Comment]
Comment 7 Brad Lassey [:blassey] (use needinfo?) 2012-01-19 09:05:55 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/2e8622ca9a63

Note You need to log in before you can comment on or make changes to this bug.